Nouveautés de jquery 2.0

Sortie de Jquery 2.0

Fut un temps où javascript était dénigré pour des raisons de compatibilité entre navigateurs. Puis vint Jquery qui mis tout le monde d'accord et maintenant, Jquery 2.0, la nouvelle version pleine de promesses.

Abandon IE

Internet Explorer n'a jamais été la référence dans le respect des standards et il a longtemps été le boulet qui a ralenti le développement du Web. L'une des force de Jquery était d'avoir réussi à implémenter des fonctions qui soient aussi compatibles avec le navigateur de Microsoft.

Cependant, avec le temps et à cause de sa médiocrité, il est devenu minoritaire. L'équipe de jquery ne ressent donc plus le besoin de dépenser autant d'énergie pour être compatibles avec des navigateurs obsolètes et peu utilisé. Alors si vous avez un Internet Explorer 6, 7 ou 8, changez pour Firefox ou Chrome.

Compatibilité Jquery 1.9

Malgré l'allègement des fichiers jquery grâce aux abandons divers dont celui de IE, Jquery reste compatible avec jquery 1.9. De nombreux sites ne sont pas à jour pour cette version et il y a aura peut-être un peu de travail à faire sur vos sites pour y arriver. Le plugin Jquery Migrate est là pour vous y aider.

Et ensuite ?

La branche 1 sera encore un peu modifiée vers des versions 1.10 ou suivante selon les besoins, en particulier dans le but de faciliter les migrations vers 2.0. Mais il s'agit bien au final d'inciter chaque site à passer à la version, plus riche, plus légère et plus prometteuse. Pour les tests, JsFiddle reste le parfait endroit où aller.

Nous contacter

Nous contacter